<?php include_once "../../autoload.php";

$forma_pagamento = ($_POST["forma_pagamento"] == 'Dinheiro' ? 3 : $_POST["forma_pagamento"]);
unset($_POST["forma_pagamento"]);



$acao = $_POST["acao"];
unset($_POST["acao"]);
$data = new IngressoParticipante();

// Todos os dados
$data->dados($_POST);

// Dados que precisam de conversões

switch ($acao) {
	case 'cadastrar':
		if ($data->cadastrar()) {
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso", 1);
		}
		break;
	case 'editar':
		if ($forma_pagamento == 3) {
			$data->ingresso_participante_forma_pagamento = $forma_pagamento;
		}
		if ($data->alterar()) {
			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso", 2);
		}
		break;
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso", 3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}
